kio Library: KSSLInfoDlg Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSSLInfoDlg Class Reference

KDE SSL Information Dialog KDE SSL Information Dialog. More...

`#include <ksslinfodlg.h>`

Inheritance diagram for KSSLInfoDlg:

[legend]
Collaboration diagram for KSSLInfoDlg:

[legend]
List of all members.

## Public Member Functions
| KSSLInfoDlg (bool secureConnection, QWidget *parent=0L, const char *name=0L, bool modal=false)
virtual | ~KSSLInfoDlg ()
void | setSecurityInQuestion (bool isIt)
void | setup (KSSLCertificate *cert, const QString &ip, const QString &url, const QString &cipher, const QString &cipherdesc, const QString &sslversion, int usedbits, int bits, KSSLCertificate::KSSLValidation certState)
void | setup (KSSL &ssl, const QString &ip, const QString &url)
void | setCertState (const QString &errorNrs)
## Static Public Member Functions
static KSSLCertBox * | certInfoWidget (QWidget *parent, const QString &certName, QWidget *mailCatcher=0)

## Detailed Description

KDE SSL Information Dialog KDE SSL Information Dialog.

This class creates a dialog that can be used to display information about an SSL session.

There are NO GUARANTEES that KSSLInfoDlg will remain binary compatible/ Contact staikos@kde.org for details if needed.

Author:
  George Staikos <staikos@kde.org>

See also:
  KSSL

Definition at line 50 of file ksslinfodlg.h.

## Constructor & Destructor Documentation

KSSLInfoDlg::KSSLInfoDlg | ( | bool | secureConnection,
|  | QWidget * | parent = `0L`,
|  | const char * | name = `0L`,
|  | bool | modal = `false`
| ) |

  | Construct a KSSL Information Dialog. Parameters:
  | secureConnection | true if the connection is secured with SSL
  | parent | the parent widget
  | name | the internal name of this instance
  | modal | true if the dialog should be modal
Definition at line 75 of file ksslinfodlg.cc. References KDialog::setCaption().

KSSLInfoDlg::~KSSLInfoDlg | ( |  | ) | `[virtual]`

| Destroy this dialog. Definition at line 125 of file ksslinfodlg.cc.

## Member Function Documentation

void KSSLInfoDlg::setSecurityInQuestion | ( | bool | isIt | ) |

  | Tell the dialog if the connection has portions that may not be secure (ie. a mixture of secure and insecure frames) Parameters:
  | isIt | true if security is in question
Definition at line 136 of file ksslinfodlg.cc.

void KSSLInfoDlg::setup | ( | KSSLCertificate * | cert,
|  | const QString & | ip,
|  | const QString & | url,
|  | const QString & | cipher,
|  | const QString & | cipherdesc,
|  | const QString & | sslversion,
|  | int | usedbits,
|  | int | bits,
|  | KSSLCertificate::KSSLValidation | certState
| ) |

  | Setup the dialog before showing it. Parameters:
  | cert | the certificate presented by the site
  | ip | the ip of the remote host
  | url | the url being accessed
  | cipher | the cipher in use
  | cipherdesc | text description of the cipher in use
  | sslversion | the version of SSL in use (SSLv2, SSLv3, TLSv1, etc)
  | usedbits | the number of bits in the cipher key being used
  | bits | the bit-size of the cipher in use
  | certState | the certificate state (valid, invalid, etc)
Definition at line 173 of file ksslinfodlg.cc. References QGridLayout::addMultiCell(), QGridLayout::addMultiCellWidget(), QGridLayout::addWidget(), QPtrList::first(), QPtrList::next(), and QGridLayout::setColStretch(). Referenced by Observer::messageBox(), and setup().

void KSSLInfoDlg::setup | ( | KSSL & | ssl,
|  | const QString & | ip,
|  | const QString & | url
| ) |

  | Setup the dialog before showing it. This is a convenience version of the above method, and obtains the same information using the Parameters:
  | ssl | parameter instead.
  | ssl | the ssl connection
  | ip | the ip of the remote host
  | url | the url being accessed
Definition at line 158 of file ksslinfodlg.cc. References setup().

void KSSLInfoDlg::setCertState | ( | const QString & | errorNrs | ) |

| Set the errors that were encountered while validating the site certificate. Definition at line 251 of file ksslinfodlg.cc. References QStringList::split().

KSSLCertBox * KSSLInfoDlg::certInfoWidget | ( | QWidget * | parent,
|  | const QString & | certName,
|  | QWidget * | mailCatcher = `0`
| ) | `[static]`

  | Utility function to generate the widget which displays the detailed information about an X.509 certificate. Parameters:
  | parent | the parent widget
  | certName | the name (subject) of the certificate
  | mailCatcher | the class which catches click events on e-mail addresses
Definition at line 351 of file ksslinfodlg.cc. References KSSLCertBox::setValues().

The documentation for this class was generated from the following files:

- ksslinfodlg.h
- ksslinfodlg.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:25 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003